Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Class IdUniquenessPolicyValue

    java.lang.Object
      org.omg.PortableServer.IdUniquenessPolicyValue

All Implemented Interfaces:
  Serializable, IDLEntity

    public class IdUniquenessPolicyValue

extends Object
implements IDLEntity

IdUniquenessPolicyValue can have the following values. UNIQUE_ID - Servants activated with that POA support exactly one Object Id. MULTIPLE_ID - a servant activated with that POA may support one or more Object Ids.

Field Summary
`static int` | `_MULTIPLE_ID`
`static int` | `_UNIQUE_ID`
`static IdUniquenessPolicyValue` | `MULTIPLE_ID`
`static IdUniquenessPolicyValue` | `UNIQUE_ID`

Constructor Summary
`protected` | `IdUniquenessPolicyValue(int value)`

Method Summary
`static IdUniquenessPolicyValue` | `from_int(int value)`
`int` | `value()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _UNIQUE_ID

    public static final int _UNIQUE_ID

See Also:
  Constant Field Values

### UNIQUE_ID

    public static final IdUniquenessPolicyValue UNIQUE_ID

### _MULTIPLE_ID

    public static final int _MULTIPLE_ID

See Also:
  Constant Field Values

### MULTIPLE_ID

    public static final IdUniquenessPolicyValue MULTIPLE_ID

Constructor Detail

### IdUniquenessPolicyValue

    protected IdUniquenessPolicyValue(int value)

Method Detail

### value

    public int value()

### from_int

    public static IdUniquenessPolicyValue from_int(int value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.